summaryrefslogtreecommitdiffstats
path: root/libdvdread/build
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2007-06-30 13:44:11 +0000
committer Eric Hameleers <alien@slackware.com>2007-06-30 13:44:11 +0000
commitf9ae7bef19567497565bec63448dfe0ffeeb8118 (patch)
treeb9afc7c108ca259deaff742aa7b0e1928df81a87 /libdvdread/build
parent3dcb004898ece2695689c28acced1ce42f78e4b1 (diff)
downloadasb-f9ae7bef19567497565bec63448dfe0ffeeb8118.tar.gz
asb-f9ae7bef19567497565bec63448dfe0ffeeb8118.tar.xz
Newer SlackBuild template
Diffstat (limited to 'libdvdread/build')
-rwxr-xr-xlibdvdread/build/libdvdread.SlackBuild183
1 files changed, 66 insertions, 117 deletions
diff --git a/libdvdread/build/libdvdread.SlackBuild b/libdvdread/build/libdvdread.SlackBuild
index 7d846b41..d88fc808 100755
--- a/libdvdread/build/libdvdread.SlackBuild
+++ b/libdvdread/build/libdvdread.SlackBuild
@@ -1,5 +1,25 @@
#!/bin/sh
-# Copyright (c) 2006 Eric Hameleers <alien@slackware.com>
+# $Id$
+# Copyright (c) 2006,2007 Eric Hameleers <alien@slackware.com>
+# All rights reserved.
+#
+# Permission to use, copy, modify, and distribute this software for
+# any purpose with or without fee is hereby granted, provided that
+# the above copyright notice and this permission notice appear in all
+# copies.
+#
+# THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
+# IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
+# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
+# USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
+# ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
+# OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
+# OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+# SUCH DAMAGE.
# -----------------------------------------------------------------------------
#
# Slackware SlackBuild script
@@ -12,14 +32,15 @@
# Changelog:
# 0.9.7-1: 29/Oct/2006 by Eric Hameleers <alien@slackware.com>
# * Initial build.
+# 0.9.7-1: 30/Jun/2007 by Eric Hameleers <alien@slackware.com>
+# * Used newer SlackBuild template.
#
-# Run 'sh SlackBuild --cleanup' to build a Slackware package.
+# Run 'sh libdvdread.SlackBuild --cleanup' to build a Slackware package.
# The package (.tgz) plus descriptive .txt file are created in /tmp .
# Install using 'installpkg'.
#
# -----------------------------------------------------------------------------
-# --- INIT ---
# Set initial variables:
PRGNAM=libdvdread
@@ -27,6 +48,8 @@ VERSION=${VERSION:-0.9.7}
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
+DOCS="AUTHORS COPYING INSTALL NEWS README TODO"
+
# Where do we look for sources?
CWD=`pwd`
SRCDIR=`dirname $0`
@@ -37,17 +60,6 @@ TMP=${TMP:-/tmp/build}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-# Exit the script on errors:
-set -e
-trap 'echo "$0 FAILED at line $LINENO!" | tee $OUTPUT/error-${PRGNAM}.log' ERR
-# Catch unitialized variables:
-set -u
-P1=${1:-1}
-
-
-# This covers most filenames you'd want as documentation. Change if needed.
-DOCS="AUTHORS COPYING INSTALL NEWS README TODO"
-
# Input URL: http://www.dtek.chalmers.se/groups/dvd/dist/libdvdread-0.9.7.tar.gz
SOURCE="$SRCDIR/${PRGNAM}-${VERSION}.tar.gz"
SRCURL="http://www.dtek.chalmers.se/groups/dvd/dist/${PRGNAM}-${VERSION}.tar.gz"
@@ -56,6 +68,13 @@ SRCURL="http://www.dtek.chalmers.se/groups/dvd/dist/${PRGNAM}-${VERSION}.tar.gz"
## --- with a little luck, you won't have to edit below this point --- ##
##
+# Exit the script on errors:
+set -e
+trap 'echo "$0 FAILED at line $LINENO!" | tee $OUTPUT/error-${PRGNAM}.log' ERR
+# Catch unitialized variables:
+set -u
+P1=${1:-1}
+
# Slackware 11 and up need other option (gcc > 3.3.x)
if [ `gcc -dumpversion | tr -d '.' |cut -c 1-2` -gt 33 ]; then
MOPT=tune
@@ -84,39 +103,22 @@ case "$ARCH" in
;;
esac
-if [ ! -d $TMP/tmp-$PRGNAM ]; then
- mkdir -p $TMP/tmp-$PRGNAM # location to build the source
-elif [ "$P1" != "--oldbuild" ]; then
- # If the "--oldbuild" parameter is present, we keep
- # the old build files and continue;
- # By default we remove the remnants of previous build and continue:
- rm -rf $TMP/tmp-$PRGNAM/*
-fi
-
-if [ "$PKG" = "" -o "$PKG" = "/" ] ; then
- echo "Please provide a sane value for the variable 'PKG'."
- exit 1
-elif [ ! -d $PKG ]; then
- mkdir -p $PKG # place for the package to be built
-else
- rm -rf $PKG/* # We always erase old package's contents:
-fi
-
-if [ ! -d $OUTPUT ]; then
- mkdir -p $OUTPUT # place for the package to be saved
-fi
-
-
-# --- SOURCE FILE AVAILABILITY ---
+# Create working directories:
+mkdir -p $TMP/tmp-$PRGNAM # location to build the source
+rm -rf $TMP/tmp-$PRGNAM/* # By default we remove the remnants of previous build:
+mkdir -p $PKG # place for the package to be built
+rm -rf $PKG/* # We always erase old package's contents:
+mkdir -p $OUTPUT # place for the package to be saved
+# Source file availability:
if ! [ -f ${SOURCE} ]; then
if ! [ "x${SRCURL}" == "x" ]; then
# Check if the $SRCDIR is writable at all - if not, download to $OUTPUT
[ -w "$SRCDIR" ] || SOURCE="$OUTPUT/`basename $SOURCE`"
echo "Source '`basename ${SOURCE}`' not available yet..."
echo "Will download file to `dirname $SOURCE`"
- wget -nv -O "${SOURCE}" "${SRCURL}" || true
- if [ $? -ne 0 ]; then
+ wget -nv --connect-timeout=30 -O "${SOURCE}" "${SRCURL}" || true
+ if [ $? -ne 0 -o ! -s "${SOURCE}" ]; then
echo "Downloading '`basename ${SOURCE}`' failed... aborting the build."
mv -f "${SOURCE}" "${SOURCE}".FAIL
exit 1
@@ -138,47 +140,19 @@ echo "++"
echo "|| $PRGNAM-$VERSION"
echo "++"
-cd $PKG
-
-# Explode the package framework:
-if [ -f $SRCDIR/_$PRGNAM.tar.gz ]; then
- explodepkg $SRCDIR/_$PRGNAM.tar.gz
-fi
-
cd $TMP/tmp-$PRGNAM
-
-# --- TARBALL EXTRACTION,PATCH,MODIFY ---
-
echo "Extracting the source archive(s) for $PRGNAM..."
if `file ${SOURCE} | grep -q ": bzip2"`; then
- tar -xjvf ${SOURCE} || true
-elif `file ${SOURCE} | grep -qi ": zip"`; then
- unzip ${SOURCE} || true
-elif `file ${SOURCE} | grep -qi ": 7-zip"`; then
- 7za -x ${SOURCE} || true
-else
- tar -xzvf ${SOURCE} || true
+ tar -xjvf ${SOURCE}
+elif `file ${SOURCE} | grep -q ": gzip"`; then
+ tar -xzvf ${SOURCE}
fi
-if [ $? -ne 0 ]; then
- echo "Error in unpacking '${SOURCE}!' Aborting..."
- exit $?
-fi
-if [ -d ${PRGNAM}-${VERSION} ]; then
- cd ${PRGNAM}-${VERSION}
-else
- cd ${PRGNAM}* # a little less specific
-fi
-
-chown -R root.root *
-find . -perm 777 -exec chmod 755 {} \;
-find . -perm 666 -exec chmod 644 {} \;
-
-
-# --- BUILDING ---
+cd ${PRGNAM}-${VERSION}
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
echo Building ...
-
LDFLAGS="$SLKLDFLAGS" \
CFLAGS="$SLKCFLAGS" \
./configure --prefix=/usr \
@@ -187,7 +161,7 @@ CFLAGS="$SLKCFLAGS" \
--sysconfdir=/etc \
--program-prefix="" \
--program-suffix="" \
- $ARCH-slackware-linux \
+ --build=$ARCH-slackware-linux \
2>&1 | tee $OUTPUT/configure-${PRGNAM}.log
make 2>&1 | tee $OUTPUT/make-${PRGNAM}.log
@@ -202,62 +176,37 @@ else
make DESTDIR=$PKG install 2>&1 |tee $OUTPUT/install-${PRGNAM}.log
fi
-
-
-# --- DOCUMENTATION ---
-
+# Add documentation:
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION || true
chmod -R a-w $PKG/usr/doc/$PRGNAM-$VERSION/*
-# Move incorrectly installed man pages, if any
+# Move incorrectly installed man pages, if any:
[ -d $PKG/usr/share/man ] && \
mv $PKG/usr/share/man $PKG/usr/ && rmdir $PKG/usr/share || true
-# Compress the man page(s)
-[ -d $PKG/usr/man ] && (
- cd $PKG/usr/man
- find . -type f -name "*.?" -exec gzip -9f {} \;
- for i in `find . -type l -name "*.?"` ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
- )
-
-# Strip binaries
-( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-)
-
-
-# --- OWNERSHIP, RIGHTS ---
-
-chmod -R o-w $PKG
-
+# Compress the man page(s):
+if [ -d $PKG/usr/man ]; then
+ find $PKG/usr/man -type f -name "*.?" -exec gzip -9f {} \;
+ for i in `find $PKG/usr/man -type l -name "*.?"` ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+fi
-# --- PACKAGE DESCRIPTION ---
+# Strip binaries:
+cd $PKG
+find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+cd -
+# Add a package description:
mkdir -p $PKG/install
cat $SRCDIR/slack-desc > $PKG/install/slack-desc
-if [ -f $SRCDIR/doinst.sh ]; then
- cat $SRCDIR/doinst.sh >> $PKG/install/doinst.sh
-fi
-if [ -f $SRCDIR/slack-required ]; then
- cat $SRCDIR/slack-required > $PKG/install/slack-required
-fi
-
-
-# --- BUILDING ---
# Build the package:
cd $PKG
-makepkg --linkadd y --chown n $OUTPUT/${PRGNAM}-${VERSION}-${ARCH}-${BUILD}.tgz \
- 2>&1 | tee $OUTPUT/makepkg-${PRGNAM}.log
-(cd $OUTPUT && md5sum ${PRGNAM}-${VERSION}-${ARCH}-${BUILD}.tgz > ${PRGNAM}-${VERSION}-${ARCH}-${BUILD}.tgz.md5)
+makepkg --linkadd y --chown n $OUTPUT/${PRGNAM}-${VERSION}-${ARCH}-${BUILD}.tgz 2>&1 | tee $OUTPUT/makepkg-${PRGNAM}.log
+cd $OUTPUT
+md5sum ${PRGNAM}-${VERSION}-${ARCH}-${BUILD}.tgz > ${PRGNAM}-${VERSION}-${ARCH}-${BUILD}.tgz.md5
+cd -
cat $PKG/install/slack-desc | grep "^${PRGNAM}" > $OUTPUT/${PRGNAM}-${VERSION}-${ARCH}-${BUILD}.txt
-if [ -f $PKG/install/slack-required ]; then
- cat $PKG/install/slack-required > $OUTPUT/${PRGNAM}-${VERSION}-${ARCH}-${BUILD}.dep
-fi
-
-
-# --- CLEANUP ---
# Clean up the extra stuff:
if [ "$P1" = "--cleanup" ]; then